


#include "range.h"


// ###### Default constructor ###############################################
template<class T> Range<T>::Range()
{
}


// ###### Constructor #######################################################
template<class T> Range<T>::Range(T min, T max, T value)
{
   init(min,max,value);
}


// ###### Initialization ####################################################
template<class T> void Range<T>::init(T min, T max, T value)
{
   if(min < max) {
      Min   = min;
      Max   = max;
   }
   else {
      Max = min;
      Min = max;
   }
   Value = value;
   if(Value != 0) {
      if(Value < Min) Value = Min;
      if(Value > Max) Value = Max;
   }
}


// ###### Output operator ###################################################
template<class T> ostream& operator<<(ostream& os, const Range<T>& range)
{
   cout << range.Min << " <= " << range.Value << " <= " << range.Max;
   return(os);
}
